﻿@model SellCurrencyViewModel

<form asp-controller="Purchase" asp-action="Sell" 
asp-route-Name="@Model.Name" 
method="post">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Amount</th>
                <th scope="col">Price/USD</th>
                <th scope="col">Sell Amount</th>
                <th scope="col">Amount in USD</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td class="col-sm-2" name="currencyName">@Model.Name</td>
                <td class="amount col-sm-2" name="amount">@Model.Amount</td>
                <td class="price col-sm-2" name="price">@Model.Price</td>
                <td class="sellAmount col-sm-2">
                    <input type="number" step="0.0001" placeholder="currencies count" value="" name="sellAmount"/>
                    <span asp-validation-for="Amount" class="text-danger"></span>
                </td>
                <td class="amountInUsd col-sm-2">
                </td>
                <td>
                    <button type="submit" class="btn btn-success">Sell</button>
                </td>
            </tr>
        </tbody>
    </table>
</form>

<script src="~/js/SellCurrency.js" asp-append-version="true"></script>
@section Scripts {
    <partial name="_ValidationScriptsPartial" />
    }
@*<script>
    let amount = document.querySelector(".amount");
    let sellAmount = document.querySelector(".sellAmount > input");

    amount.addEventListener("click", function (e){
        e.preventDefault();

        let sellAmountValue = amount.innerHTML;
        sellAmount.value = sellAmountValue;
        
    })

</script>
<script>
    let amountElement = document.querySelector(".amount");
    let sellAmountElement = document.querySelector(".sellAmount > input");
    let priceElement = document.querySelector(".price");
    let amountInUsdElement = document.querySelector(".amountInUsd");
    let inputElement = document.createElement("input");

    inputElement.setAttribute("Name", "amountInUsd");
    amountInUsdElement.appendChild(inputElement);

    amountElement.addEventListener("click", function(e){
        inputElement.value = parseFloat(amountElement.innerHTML / priceElement.innerHTML).toFixed(4);
    });


    sellAmountElement.addEventListener("keyup", function (e) {
        e.preventDefault();

        inputElement.value = parseFloat(sellAmountElement.value / priceElement.innerHTML).toFixed(4);
        

    });
</script>

<script>
    let btnElement = document.querySelector(".btn");
    let amount = document.querySelector(".amount");
    let sellAmount = document.querySelector(".sellAmount > input");

    btnElement.addEventListener("click", function(e){
        e.preventDefault();

        amount.innerHTML -= sellAmount.value;
    })
</script>*@